Zum Inhalt springen
Katalog

A model version

Scope: readSiehe auch:Authentifizierung ·Fehler ·Paginierung ·Ratenlimits
GET
/model-versions/{versionId}

Any member.

Autorisierung

apiKey
headerAutorisierungBearer <Token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Pfad-Parameter

versionId*string
Formatuuid

Antwort-Body

The version.

application/json
  1. response
approved_at?string
Formatdate-time
approved_by_name?string
battery_model_id*string
Formatuuid
created_at*string
Formatdate-time
effective_from*string
Formatdate
id*string
Formatuuid
registry_version?string

Registry version of the last evaluation after a change.

row_version*RowVersion

Optimistic-concurrency version; send it back as If-Match when updating.

Formatint64
Bereich1 <= value
status*ModelVersionStatus
Wert in"draft""approved""superseded"
unit_count*integer
updated_at*string
Formatdate-time
version_label*string
Beispielanfrage
curl -X GET 'https://example.com/api/v1/model-versions/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Beispielantwort
{  "approved_at": "2019-08-24T14:15:22Z",  "approved_by_name": "string",  "battery_model_id": "6a002912-62a3-4058-99d0-53cbf87e9e1c",  "created_at": "2019-08-24T14:15:22Z",  "effective_from": "2019-08-24",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "registry_version": "string",  "row_version": 1,  "status": "draft",  "unit_count": 0,  "updated_at": "2019-08-24T14:15:22Z",  "version_label": "string"}